#! /bin/bash

# Fix reported by Hubertus
theuser=$(whoami)

# Add Launch Item
simblpath="/Users/${theuser}/Library/Application Support/cDock/SIMBL.app"
osascript <<EOD
  	tell application "System Events"
		make new login item at end of login items with properties {path:"$simblpath", hidden:true}
	end tell
EOD

# Add SIMBL plugin @ root /Library/ScriptingAdditions/
echo -e "\nNow we need to install the SIMBL plugin at /Library/ScriptingAdditions/"
echo -e "Since this is a system location you must enter the admin password.\n"
echo -e "The code that will be run is as follows:\n"
echo -e "sudo cp -frX \"/Users/${theuser}/Library/Application Support/cDock/SIMBL.app/Contents/PlugIns/EasySIMBL.osax\" \"/Library/ScriptingAdditions/EasySIMBL.osax\"\n"

sudo cp -frX "/Users/${theuser}/Library/Application Support/cDock/SIMBL.app/Contents/PlugIns/EasySIMBL.osax" "/Library/ScriptingAdditions/EasySIMBL.osax"

